Qt 5.8 | Qt 3D | QML Types | Material QML Type

Qt 5.8.0 Reference Documentation

# Material QML Type

Non-creatable abstract base for materials. More...

Import Statement: | import Qt3D.Render 2.0
Since: | Qt 5.5
Instantiates: | QMaterial

- List of all members, including inherited members

## Properties

- effect : Effect
- parameters : list<Parameter>

## Detailed Description

Material provides a way to specify the rendering of an entity. Any aspect can define its own subtype of Material so that a Material can be used to describe a visual element; for example, the way sound should reflect off an element, the temperature of a surface, and so on.

See also Effect.

## Property Documentation

effect : Effect

Specifies the effect to be used with the material.

parameters : list<Parameter>

Holds the list of parameters used by the material.